<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL"
             xmlns:flowable="http://flowable.org/bpmn"
             xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI"
             xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI"
             typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath"
             targetNamespace="auth_point_category">
    <process id="auth_point_key" name="权限点发布" isExecutable="true">
        <startEvent id="NODE_STARTER" flowable:initiator="applyUserId"></startEvent>
        <userTask id="NODE_CONFIG" name="权限配置">
            <extensionElements>
                <flowable:executionListener event="start"
                                            delegateExpression="${engineExecutionStartListener}"></flowable:executionListener>
                <flowable:taskListener event="all"
                                       delegateExpression="${engineTaskEventListener}"></flowable:taskListener>
            </extensionElements>
        </userTask>
        <sequenceFlow id="sequenceFlow_3ab879d8c5684d4c8140a7875cf2ab8e" sourceRef="NODE_STARTER"
                      targetRef="NODE_CONFIG"></sequenceFlow>
        <userTask id="NODE_RELEASE_DEV" name="发布 DEV">
            <extensionElements>
                <flowable:executionListener event="start"
                                            delegateExpression="${engineExecutionStartListener}"></flowable:executionListener>
                <flowable:taskListener event="all"
                                       delegateExpression="${engineTaskEventListener}"></flowable:taskListener>
            </extensionElements>
        </userTask>
        <sequenceFlow id="sequenceFlow_f2390ae5250945e2b0e85d35252cdc2c" sourceRef="NODE_CONFIG"
                      targetRef="NODE_RELEASE_DEV"></sequenceFlow>
        <userTask id="NODE_RELEASE_TEST" name="发布 TEST">
            <extensionElements>
                <flowable:executionListener event="start"
                                            delegateExpression="${engineExecutionStartListener}"></flowable:executionListener>
                <flowable:taskListener event="all"
                                       delegateExpression="${engineTaskEventListener}"></flowable:taskListener>
            </extensionElements>
        </userTask>
        <sequenceFlow id="sequenceFlow_f2ec870d301044d4a0db3ba70ac8ddd2" sourceRef="NODE_RELEASE_DEV"
                      targetRef="NODE_RELEASE_TEST"></sequenceFlow>
        <userTask id="NODE_RELEASE_PRE" name="发布 PRE">
            <extensionElements>
                <flowable:executionListener event="start"
                                            delegateExpression="${engineExecutionStartListener}"></flowable:executionListener>
                <flowable:taskListener event="all"
                                       delegateExpression="${engineTaskEventListener}"></flowable:taskListener>
            </extensionElements>
        </userTask>
        <sequenceFlow id="sequenceFlow_d666cfe03d734fb5bbfb69b71c2c411f" sourceRef="NODE_RELEASE_TEST"
                      targetRef="NODE_RELEASE_PRE"></sequenceFlow>
        <userTask id="NODE_RELEASE_PROD" name="发布生产">
            <extensionElements>
                <flowable:executionListener event="start"
                                            delegateExpression="${engineExecutionStartListener}"></flowable:executionListener>
                <flowable:taskListener event="all"
                                       delegateExpression="${engineTaskEventListener}"></flowable:taskListener>
            </extensionElements>
        </userTask>
        <sequenceFlow id="sequenceFlow_4809c60fc59d47239b9339e7c3de959c" sourceRef="NODE_RELEASE_PRE"
                      targetRef="NODE_RELEASE_PROD"></sequenceFlow>
        <userTask id="NODE_ACCEPTANCE" name="产品验收">
            <extensionElements>
                <flowable:executionListener event="start"
                                            delegateExpression="${engineExecutionStartListener}"></flowable:executionListener>
                <flowable:taskListener event="all"
                                       delegateExpression="${engineTaskEventListener}"></flowable:taskListener>
            </extensionElements>
        </userTask>
        <sequenceFlow id="sequenceFlow_f0e287e9acb4441e9cf8e73be1e14abd" sourceRef="NODE_RELEASE_PROD"
                      targetRef="NODE_ACCEPTANCE"></sequenceFlow>
        <endEvent id="endEventNode"></endEvent>
        <sequenceFlow id="sequenceFlow_9b49b56d7ca2455fbb200f6f26aa27af" sourceRef="NODE_ACCEPTANCE"
                      targetRef="endEventNode"></sequenceFlow>
    </process>
    <bpmndi:BPMNDiagram id="BPMNDiagram_auth_point_key">
        <bpmndi:BPMNPlane bpmnElement="auth_point_key" id="BPMNPlane_auth_point_key">
            <bpmndi:BPMNShape bpmnElement="NODE_RELEASE_PRE" id="BPMNShape_NODE_RELEASE_PRE">
                <omgdc:Bounds height="60.0" width="100.0" x="530.0" y="0.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="NODE_ACCEPTANCE" id="BPMNShape_NODE_ACCEPTANCE">
                <omgdc:Bounds height="60.0" width="100.0" x="830.0" y="0.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="NODE_RELEASE_PROD" id="BPMNShape_NODE_RELEASE_PROD">
                <omgdc:Bounds height="60.0" width="100.0" x="680.0" y="0.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="NODE_CONFIG" id="BPMNShape_NODE_CONFIG">
                <omgdc:Bounds height="60.0" width="100.0" x="80.0" y="0.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="NODE_RELEASE_TEST" id="BPMNShape_NODE_RELEASE_TEST">
                <omgdc:Bounds height="60.0" width="100.0" x="380.0" y="0.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="endEventNode" id="BPMNShape_endEventNode">
                <omgdc:Bounds height="30.0" width="30.0" x="980.0" y="15.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="NODE_RELEASE_DEV" id="BPMNShape_NODE_RELEASE_DEV">
                <omgdc:Bounds height="60.0" width="100.0" x="230.0" y="0.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNShape bpmnElement="NODE_STARTER" id="BPMNShape_NODE_STARTER">
                <omgdc:Bounds height="30.0" width="30.0" x="0.0" y="15.0"></omgdc:Bounds>
            </bpmndi:BPMNShape>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_3ab879d8c5684d4c8140a7875cf2ab8e"
                             id="BPMNEdge_sequenceFlow_3ab879d8c5684d4c8140a7875cf2ab8e">
                <omgdi:waypoint x="30.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="42.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="42.0" y="30.000000000000007"></omgdi:waypoint>
                <omgdi:waypoint x="80.0" y="30.000000000000007"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_f2ec870d301044d4a0db3ba70ac8ddd2"
                             id="BPMNEdge_sequenceFlow_f2ec870d301044d4a0db3ba70ac8ddd2">
                <omgdi:waypoint x="330.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="342.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="342.0" y="30.000000000000007"></omgdi:waypoint>
                <omgdi:waypoint x="380.0" y="30.000000000000007"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_4809c60fc59d47239b9339e7c3de959c"
                             id="BPMNEdge_sequenceFlow_4809c60fc59d47239b9339e7c3de959c">
                <omgdi:waypoint x="630.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="642.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="642.0" y="30.000000000000007"></omgdi:waypoint>
                <omgdi:waypoint x="680.0" y="30.000000000000007"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_f2390ae5250945e2b0e85d35252cdc2c"
                             id="BPMNEdge_sequenceFlow_f2390ae5250945e2b0e85d35252cdc2c">
                <omgdi:waypoint x="180.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="192.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="192.0" y="30.000000000000007"></omgdi:waypoint>
                <omgdi:waypoint x="230.0" y="30.000000000000007"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_d666cfe03d734fb5bbfb69b71c2c411f"
                             id="BPMNEdge_sequenceFlow_d666cfe03d734fb5bbfb69b71c2c411f">
                <omgdi:waypoint x="480.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="492.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="492.0" y="30.000000000000007"></omgdi:waypoint>
                <omgdi:waypoint x="530.0" y="30.000000000000007"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_f0e287e9acb4441e9cf8e73be1e14abd"
                             id="BPMNEdge_sequenceFlow_f0e287e9acb4441e9cf8e73be1e14abd">
                <omgdi:waypoint x="780.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="792.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="792.0" y="30.000000000000007"></omgdi:waypoint>
                <omgdi:waypoint x="830.0" y="30.000000000000007"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
            <bpmndi:BPMNEdge bpmnElement="sequenceFlow_9b49b56d7ca2455fbb200f6f26aa27af"
                             id="BPMNEdge_sequenceFlow_9b49b56d7ca2455fbb200f6f26aa27af">
                <omgdi:waypoint x="930.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="942.0" y="30.0"></omgdi:waypoint>
                <omgdi:waypoint x="942.0" y="30.000000000000004"></omgdi:waypoint>
                <omgdi:waypoint x="980.0" y="30.000000000000004"></omgdi:waypoint>
            </bpmndi:BPMNEdge>
        </bpmndi:BPMNPlane>
    </bpmndi:BPMNDiagram>
</definitions>
